Bug 128524 - vim fails to find libperl.so
vim fails to find libperl.so
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-24 00:45 EDT by G.Wolfe Woodbury
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-02 08:46:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2004-07-24 00:45:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
vi (vim) fails to open libperl.so with a file or directory not found
error.

Version-Release number of selected component (if applicable):
6.3.014-1

How reproducible:
Always

Steps to Reproduce:
1. fresh install of rawhide fomr 2004-07-23
2. vi [<anyfile>]
3.
    

Actual Results:  vim: error while loading shared libraries:
libperl.so: cannot open shared object file: No such file or directory

Expected Results:  normal editing

Additional info:

all vim packages are installed. all relevant perl packages seem to be
installed.  fresh install from rawhide
Comment 2 Arenas Belon, Carlo Marcelo 2004-07-24 23:57:54 EDT
related to BUG 128535, as the vim-enhanced package requires perl 5.8.4
explicitally (last perl package on rawhide is 5.8.5-1).

using the basic vi command could be used as a workaround `unalias vi`,
which doesn't require libperl to work, as well as uninstalling perl
5.8.5 and installing perl 5.8.4 instead to fix the broken dependency.

building a package with the right dependency compiled in would require
also a change on the perl package to match the dependency and adding a
new path for the dynamic linker so that the libperl.so can be found,
as well as making the dynamic linking of libperl.so path agnostic by
changing the test for AC_MSG_CHECKING(--enable-perlinterp argument) on
line 2660 of src/configure.in

adding a system wide configuration file for the dynamic linker on
/etc/ld.so.conf.d/perl.con as part of the perl package with the right
path would be also required, so that the dynamic library can be loaded
at runtime.
Comment 3 Arenas Belon, Carlo Marcelo 2004-07-25 00:59:08 EDT
they were already provisions (duh) for backward compatibility on the
perl package which were not corretly applied (BUG 128546) corrects the
SPEC, and a package prepared with it fixes this problem without the
need of patching the vim-enhanced package
Comment 4 G.Wolfe Woodbury 2004-07-29 12:32:38 EDT
rawhide/development of 2004-07-28 does not exhibit the problem
Comment 5 Karsten Hopp 2004-08-02 08:46:05 EDT
Warren Togami added a different way of detecting the perl version to
the spec file and has rebuilt the package. It should be fixed now.

Note You need to log in before you can comment on or make changes to this bug.